package com.saye.hospitalgd.service.impl;

import com.saye.hospitalgd.mapper.BankbillGetinfoMapper;
import com.saye.hospitalgd.service.BankbillGetinfoService;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import javax.annotation.Resource;

/**
 * 银行对账单下载记录(BankbillGetinfo)表服务实现类
 *
 * @author makejava
 * @since 2021-09-10 09:21:56
 */
@Service
public class BankbillGetinfoServiceImpl implements BankbillGetinfoService {
    @Resource
    private BankbillGetinfoMapper bankbillGetinfoMapper;

    @Override
    public HashMap<Object, Object> findBankbillGetinfoById(HashMap<Object,Object> map) {
        return this.bankbillGetinfoMapper.findBankbillGetinfoById(map);
    }

    @Override
    public  List<HashMap<Object, Object>> findBankbillGetinfoList(HashMap<Object,Object> map) {
        return this.bankbillGetinfoMapper.findBankbillGetinfoList(map);
    }

    @Override
    public void insertBankbillGetinfo(HashMap<Object,Object> map) {
        this.bankbillGetinfoMapper.insertBankbillGetinfo(map);
    }

    @Override
    public void updateBankbillGetinfo(HashMap<Object,Object> map) {
        this.bankbillGetinfoMapper.updateBankbillGetinfo(map);
    }

    @Override
    public void deleteBankbillGetinfoById(HashMap<Object,Object> map) {
        this.bankbillGetinfoMapper.deleteBankbillGetinfoById(map);
    }

    @Override
    public List<HashMap<Object, Object>> findBankbillGetinfoByParam(HashMap<Object, Object> map) throws Exception {
        return bankbillGetinfoMapper.findBankbillGetinfoByParam(map);
    }
}
